<!-- 系统公告列表 -->
<template >
  <div class="m_main_box" ref="main_box">

    <van-list class=""  :immediate-check="false" v-model="list_loading" :finished="list_finished" @load="m_loadList">
      <van-cell class="mb10 m_brd" @click="routerPush(item)" :border="false"  center  v-for="(item , i ) in m_data" :key="i" :title="item.title" :label="item.created_at" is-link />
       
    </van-list>
    <nodata v-if="!m_hasData&&!list_loading" />
  </div>
</template>

<script>
export default {
  name:'sys_info',
  data() {
    return {
      m_pageInfo: {
        limit: 15,
        page: 1,
      },
    }
  },
  mounted() {
   // this.init()
  },

  activated(){
    let keepAlive = this.$route.meta.keepAlive
    console.log(keepAlive)
    if(keepAlive==1){
      this.handeKeepAlive()
    }else{
     this.init()
    }
  },
  methods: {
    init(){
       this.m_resetData()
       this.m_loadList()
       
    },
    
    handeKeepAlive(){
      let _scrollTop = this.isNaN0(sessionStorage.scrollTop) 
      sessionStorage.scrollTop = ''
      this.$refs.main_box.scrollTop = _scrollTop

    },
    
    getDataList() {
      return this.api.sys_info(Object.assign(this.m_pageInfo, {})).then(res => {
        this.m_data = [...this.m_data, ...res.data.data]
        return res

      })
    },

    routerPush(item){
      sessionStorage.scrollTop = this.$refs.main_box.scrollTop
      this.$router.push(`/sys_info_details?id=${item.id}`)
    }
  }

}

</script>
<style lang='scss' scoped>
.m_main_box{
  height: 100%;
  overflow: auto;
  padding-right: 0.3rem;
  padding-top: 0.3rem;
  padding-left: 0.3rem;
   -webkit-overflow-scrolling:touch
}

</style>